Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSetOfObjectPropertySynsetsElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<SetOfSynsets<S>>
                          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler<OWLObjectProperty>
                              org.semanticweb.owlapi.owllink.parser.OWLlinkSetOfObjectPropertySynsetsElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<SetOfSynsets<OWLObjectProperty>>, OWLlinkResponseElementHandler<SetOfSynsets<OWLObjectProperty>>

    public class OWLlinkSetOfObjectPropertySynsetsElementHandler

extends AbstractOWLlinkSetOfSynsetsElementHandler<OWLObjectProperty>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler
`synsets`

Constructor Summary
`OWLlinkSetOfObjectPropertySynsetsElementHandler(OWLXMLParserHandler handler)`

Method Summary
`SetOfSynsets<OWLObjectProperty>` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkObjectPropertySynsetElementHandler handler)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkSetOfSynsetsElementHandler
`startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkSetOfObjectPropertySynsetsElementHandler

    public OWLlinkSetOfObjectPropertySynsetsElementHandler(OWLXMLParserHandler handler)

Method Detail

### handleChild

    public void handleChild(OWLlinkObjectPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<SetOfSynsets<OWLObjectProperty>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<SetOfSynsets<OWLObjectProperty>>`

### getOWLLinkObject

    public SetOfSynsets<OWLObjectProperty> getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<SetOfSynsets<OWLObjectProperty>>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<SetOfSynsets<OWLObjectProperty>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD